## cascading.operation.xml
Class XPathFilter

    java.lang.Object
      cascading.operation.BaseOperation<DocumentBuilder>
          cascading.operation.xml.XPathOperation
              cascading.operation.xml.XPathFilter

All Implemented Interfaces:
  Filter<DocumentBuilder>, Operation<DocumentBuilder>, Serializable

    public class XPathFilter

extends XPathOperation
implements Filter<DocumentBuilder>

XPathFilter will filter out a Tuple if the given XPath expression returns false. Set removeMatch to true if the filter should be reversed.

See Also:
  Serialized Form

Field Summary

Fields inherited from class cascading.operation.xml.XPathOperation
`NAMESPACE_XHTML, namespaces, paths`

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`XPathFilter(boolean removeMatch, String[][] namespaces, String path)` Constructor XPathFilter creates a new XPathFilter instance.
`XPathFilter(String[][] namespaces, String path)` Constructor XPathFilter creates a new XPathFilter instance.

Method Summary
`boolean` `isRemove(FlowProcess flowProcess, FilterCall<DocumentBuilder> filterCall)` Method isRemove returns true if input should be removed from the tuple stream.

Methods inherited from class cascading.operation.xml.XPathOperation
`equals, getExpressions, getTransformer, getXPath, hashCode, parseDocument, prepare, writeAsXML`

Methods inherited from class cascading.operation.BaseOperation
`cleanup, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface cascading.operation.Operation
`cleanup, getFieldDeclaration, getNumArgs, isSafe, prepare`

Constructor Detail

### XPathFilter

    public XPathFilter(String[][] namespaces,
                       String path)

  Constructor XPathFilter creates a new XPathFilter instance.

  Parameters:
    `namespaces` - of type String[][]
    `path` - of type String

### XPathFilter

    public XPathFilter(boolean removeMatch,
                       String[][] namespaces,
                       String path)

  Constructor XPathFilter creates a new XPathFilter instance.

  Parameters:
    `removeMatch` - of type boolean
    `namespaces` - of type String[][]
    `path` - of type String

Method Detail

### isRemove

    public boolean isRemove(FlowProcess flowProcess,
                            FilterCall<DocumentBuilder> filterCall)

  Description copied from interface: `Filter`
  Method isRemove returns true if input should be removed from the tuple stream.

  Specified by:
    `isRemove` in interface `Filter<DocumentBuilder>`
  Parameters:
    `flowProcess` - of type FlowProcess
    `filterCall` - of type FilterCall
  Returns:
    boolean
  See Also:
    `Filter.isRemove(cascading.flow.FlowProcess,cascading.operation.FilterCall)`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.